diff --git a/cinder/image/image_utils.py b/cinder/image/image_utils.py
index 30f86796c..d25e77105 100644
--- a/cinder/image/image_utils.py
+++ b/cinder/image/image_utils.py
@@ -1113,10 +1113,9 @@ def upload_volume(context: context.RequestContext,
             else:
                 with chown_if_needed(volume_path):
                     with open(volume_path, 'rb') as image_file:
-                        image_service.update(context, image_id, {},
-                                             tpool.Proxy(image_file),
-                                             store_id=store_id,
-                                             base_image_ref=base_image_ref)
+                        tpool.execute(image_service.update, context, image_id, {},
+                                      image_file, store_id=store_id,
+                                      base_image_ref=base_image_ref)
             return
 
     with temporary_file(prefix='vol_upload_') as tmp:
@@ -1159,11 +1158,9 @@ def upload_volume(context: context.RequestContext,
             accel = accelerator.ImageAccel(tmp, tmp)
             accel.compress_img(run_as_root=run_as_root)
         with open(tmp, 'rb') as image_file:
-            image_service.update(context, image_id, {},
-                                 tpool.Proxy(image_file),
-                                 store_id=store_id,
-                                 base_image_ref=base_image_ref)
-
+            tpool.execute(image_service.update, context, image_id, {},
+                          image_file, store_id=store_id,
+                          base_image_ref=base_image_ref)
 
 def check_virtual_size(virtual_size: float,
                        volume_size: int,